# rpm-build

[![Build Status](https://drone.libreschool.org/api/badges/libreschool-automation/rpm-build/status.svg)](https://drone.libreschool.org/libreschool-automation/rpm-build)

This docker image is used to build source .rpm package.


## Build

```
docker build . -t libreschool-automation/rpm-build:latest
```

## How to use

```yml
kind: pipeline
name: default

steps:
  - name: build
    image: git.libreschool.org/libreschool-automation/rpm-build:6
    pull: always
    commands:
      - yum-builddep -y mypackage.spec
      - rpmbuild -ba mypackage.spec
      - mkdir out ; mv *.rpm noarch/*.rpm out/
```
